Skip to main content
GET
/
executions
/
{executionId}
/
agent-files
Get Agent Files
curl --request GET \
  --url https://odyssey.asteroid.ai/agents/v2/executions/{executionId}/agent-files \
  --header 'X-Asteroid-Agents-Api-Key: <api-key>'
{
  "directories": {
    "debug": [
      {
        "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "2023-11-07T05:31:56Z",
        "createdBy": "user",
        "directory": "uploads",
        "downloadUrl": "<string>",
        "executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "fileName": "<string>",
        "filePath": "<string>",
        "fileSize": 123,
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "updatedAt": "2023-11-07T05:31:56Z",
        "mimeType": "<string>"
      }
    ],
    "downloads": [
      {
        "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "2023-11-07T05:31:56Z",
        "createdBy": "user",
        "directory": "uploads",
        "downloadUrl": "<string>",
        "executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "fileName": "<string>",
        "filePath": "<string>",
        "fileSize": 123,
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "updatedAt": "2023-11-07T05:31:56Z",
        "mimeType": "<string>"
      }
    ],
    "shared": [
      {
        "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "2023-11-07T05:31:56Z",
        "createdBy": "user",
        "directory": "uploads",
        "downloadUrl": "<string>",
        "executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "fileName": "<string>",
        "filePath": "<string>",
        "fileSize": 123,
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "updatedAt": "2023-11-07T05:31:56Z",
        "mimeType": "<string>"
      }
    ],
    "uploads": [
      {
        "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "2023-11-07T05:31:56Z",
        "createdBy": "user",
        "directory": "uploads",
        "downloadUrl": "<string>",
        "executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "fileName": "<string>",
        "filePath": "<string>",
        "fileSize": 123,
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "updatedAt": "2023-11-07T05:31:56Z",
        "mimeType": "<string>"
      }
    ],
    "workspace": [
      {
        "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "2023-11-07T05:31:56Z",
        "createdBy": "user",
        "directory": "uploads",
        "downloadUrl": "<string>",
        "executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "fileName": "<string>",
        "filePath": "<string>",
        "fileSize": 123,
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "updatedAt": "2023-11-07T05:31:56Z",
        "mimeType": "<string>"
      }
    ]
  },
  "lastUpdated": "2023-11-07T05:31:56Z"
}

Authorizations

X-Asteroid-Agents-Api-Key
string
header
required

Path Parameters

executionId
string<uuid>
required

Response

The request has succeeded.

Response containing all agent files for an execution, grouped by directory

directories
object
required

Files grouped by their agent directory

lastUpdated
string<date-time>